﻿using System;
using System.Collections.Generic;
using System.Text;

namespace PhilExampleCrawler.Common.Models
{
    public class UserSession
    {
        public int ID { get; set; }
        public User User { get; set; }
        public List<CrawlSession> RegisteredCrawlSessions { get; }
        public DateTime ValidUntil { get; set; }

        public UserSession(int id, User user)
        {
            ID = id;
            User = user;
            RegisteredCrawlSessions = new List<CrawlSession>();
        }

        public UserSession(int id, User user, List<CrawlSession> registeredCrawlSessions)
        {
            ID = id;
            User = user;
            RegisteredCrawlSessions = registeredCrawlSessions;
        }

        public UserSession(int id, User user, List<CrawlSession> registeredCrawlSessions, DateTime validUntil)
        {
            ID = id;
            User = user;
            RegisteredCrawlSessions = registeredCrawlSessions;
            ValidUntil = validUntil;
        }
    }
}
