﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Input;
using PhilExampleCrawler.Common.Models;

namespace PhilExample.VMs
{
    public class CrawlSessionMiniVM : INPCModel
    {
        private string _title;
        public string Title { get => _title; set => SetProperty(ref _title, value); }
        public string SubTitle { get; }
        public ICommand ActionCommand { get; }
        public object ActionCommandParameter { get; }

        public CrawlSessionMiniVM(CrawlSession cs, ICommand actionCommand, object actionCommandParameter)
        {
            Title = cs.SearchParams.KeyWords;
            SubTitle = "29.09.2022"; //TODO:
            ActionCommand = actionCommand;
            ActionCommandParameter = actionCommandParameter;
        }
    }
}
