﻿using System;
using System.Collections.Generic;
using System.Text;
using PhilExampleCrawler.Common.Interfaces;

namespace PhilExampleCrawler.Common.Models
{
    public class Category : ICategory
    {
        public string Name { get; }
        public int ID { get; }

        public List<SubCategory> SubCategories { get; } = new List<SubCategory>();

        public Category(string name, int id)
        {
            Name = name;
            ID = id;
        }
    }

    public class SubCategory : ICategory
    {
        public string Name { get; }
        public int ID { get; }

        public SubCategory(string name, int id)
        {
            Name = name;
            ID = id;
        }
    }
}
