﻿using System;
using System.Collections.Generic;
using System.Text;

namespace PhilExampleCrawler.Common.Models
{
    public struct CrawlSearchParams
    {
        public string KeyWords { get; set; }
        public string LocationStr { get; set; }
        public int CategoryID { get; set; }
        public int Radius { get; set; }

        public CrawlSearchParams(string keywords, string locationStr, int categoryID = -1, int radius = 0)
        {
            KeyWords = keywords ?? "";
            LocationStr = locationStr ?? "";
            CategoryID = categoryID;
            Radius = radius;
        }
    }
}
