﻿using System;
using System.Collections.Generic;
using System.Text;

namespace PhilExampleCrawler.Common.Models
{
    public class Insertion
    {
        public string Href { get; }
        public int CrawlSessionID { get; }

        public string Name { get; }
        public int? PostCode { get; }
        public string LocationStr { get; }
        public decimal Price { get; }
        public bool Is_VB { get; }
        public DateTime? Date { get; }


        public bool IsTopAd { get; }
        public bool IsHighlight { get; }
        public bool IsRequest { get; }

        public Insertion(string href, int crawlSessionID, string name,
                         int? postCode, string locationStr, 
                         decimal price, bool is_vb, DateTime? date,
                         bool isTopAd, bool isHighlight, bool isRequest)
        {
            Href = href;
            CrawlSessionID = crawlSessionID;
            Name = name;
            PostCode = postCode;
            LocationStr = locationStr;
            Price = price;
            Is_VB = is_vb;
            Date = date;
            IsTopAd = isTopAd;
            IsHighlight = isHighlight;
            IsRequest = isRequest;
        }
    }
}
