﻿using System;
using System.Collections.Generic;
using System.Text;

namespace PhilExampleCrawler.Common.Models
{
    public class User
    {
        public int ID { get; }
        public string AuthCode { get; }
        public string Phone { get; }
        public bool Optin_Telegram { get; }
        public bool? HasTelegram { get; set; }
        public DateTime CreateDate { get; }

        public List<CrawlSession> CrawlSessions { get; set; } = new List<CrawlSession>();


        public User(int id, string authCode, string phone, bool optin_telegram, DateTime createDate)
        {
            ID = id;
            AuthCode = authCode;
            Phone = phone;
            Optin_Telegram = optin_telegram;
            CreateDate = createDate;
        }
    }
}
