﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PhilExampleCrawler.Common.Models;

namespace PhilExampleCrawler.Core.Abstractions.Interfaces
{
    public interface ICrawlingService_HAP
    {
        event EventHandler<Insertion> OnNewInsertionFound;
        void StartCrawling(CrawlSearchParams crawlSearchParams, int interval_s);
        void StopCrawling();

        /// <summary>
        /// Could often throw a WebException.Timeout, as the request timeout is only 2 sec long (15.09.2022)
        /// </summary>
        void Crawl(CrawlSearchParams searchParams, int timeout_ms);
    }
}
