﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PhilExampleCrawler.DataBase.Models
{
    public class DB_CrawlSession
    {
        public int ID { get; }
        public int UserID { get; }
        public string Keywords { get; }
        public string LocationText { get; }
        public int CategoryID { get; }
        public int RadiusKM { get; }
        public int MinPrice { get; }
        public int MaxPrice { get; }
        public bool IsPrivate { get; }
        public bool IsCommercial { get; }

        public DB_CrawlSession(int id, int user_id, string keywords, string location_text, int category_id, int radius_km,
                               int minPrice, int maxPrice, bool isPrivate, bool isCommerial)
        {
            ID = id;
            UserID = user_id;
            Keywords = keywords;
            LocationText = location_text;
            CategoryID = category_id;
            RadiusKM = radius_km;
            MinPrice = minPrice;
            MaxPrice = maxPrice;
            IsPrivate = isPrivate;
            IsCommercial = isCommerial;
        }
    }
}