﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PhilExampleCrawler.DataBase.Models
{
    public class DB_User
    {
        public int ID { get; }
        public string AuthCode { get; }
        public string Phone { get; }
        public bool Optin_Telegram { get; }
        public bool? HasTelegram { get; }
        public DateTime CreateDate { get; }

        public List<DB_CrawlSession> CrawlSessions { get; } = new();

        internal DB_User(int id, string auth_code, string phone, bool optin_telegram, bool? has_telegram, DateTime createDate)
        {
            ID = id;
            AuthCode = auth_code;
            Phone = phone;
            Optin_Telegram = optin_telegram;
            HasTelegram = has_telegram;
            CreateDate = createDate;
        }
    }
}
