﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Input;
using PhilExampleCrawler.Common.Interfaces;
using PhilExampleCrawler.Common.Models;

namespace PhilExample.VMs
{
    public class CategoryMiniVM : INPCModel
    {
        public ICategory Category { get; }
        public ICommand ActionCommand { get; }
        public object ActionCommandParameter { get; }
        public bool ShowArrow { get; set; }

        public CategoryMiniVM(ICategory category, ICommand actionCommand, object actionCommandParameter, bool showArrow = true)
        {
            Category = category;
            ActionCommand = actionCommand;
            ActionCommandParameter = actionCommandParameter;
            ShowArrow = showArrow;
        }
    }
}
